## konwert 1.7

=== Makefile ===
#################################################################
#								#
#  Konwert - conversion between various character encodings	#
#								#
#  Konwert - konwersje midzy rnymi kodowaniami znakw  	#
#								#
#################################################################

version = 1.7

SHELL = /bin/sh
CXXFLAGS = -Wall -O2 -fomit-frame-pointer -pipe
INSTALL = install

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
sharedir = $(exec_prefix)/share

mylibdir = $(libdir)/konwert
mysharedir = $(sharedir)/konwert

# Instalowane programy:

srcbindir = bin

# Wykonywalne pliki z tego katalogu s atomowymi filtrami:

filtersdir = $(mysharedir)/filters
srcfiltersdir = filters

# Pomocnicze programy i dane wykorzystywane przez filtry:

auxdir = $(mysharedir)/aux
libauxdir = $(mylibdir)/aux
srcauxdir = aux
srccharsetsdir = $(srcauxdir)/charsets

# Programy i dane pomagajce tworzy tablice konwersji (nie s potrzebne do
# uywania konwertera):

develdir = $(mysharedir)/devel
libdeveldir = $(mylibdir)/devel
srcdeveldir = devel

# Dokumentacja:

mydocdir = $(prefix)/doc/konwert-$(version)
srcdocdir = doc
mandir = $(prefix)/man
srcmandir = man

# Wersje z poprawionymi ciekami w #!, gotowe do zainstalowania:

installdir = install
installbindir = $(installdir)/bin
installlibdir = $(installdir)/lib
installsharedir = $(installdir)/share
installfiltersdir = $(installsharedir)/filters
installauxdir = $(installsharedir)/aux
installlibauxdir = $(installlibdir)/aux
installdeveldir = $(installsharedir)/devel
installlibdeveldir = $(installlibdir)/devel
installdocdir = $(installdir)/doc
installmandir = $(installdir)/man

# Perl:

perl := $(shell which perl)

###############################################################################

# Niektre zestawy znakw powstaj przez naoenie maej tablicy na inn:

mergewithwhat := $(patsubst $(srcdeveldir)/mergewith%,%, \
	$(wildcard $(srcdeveldir)/mergewith*))
srcmergefiles := $(foreach dir,$(mergewithwhat), \
	$(wildcard $(srcdeveldir)/mergewith$(dir)/*))
mergefiles := $(patsubst %,$(srccharsetsdir)/%,$(notdir $(srcmergefiles)))

# Poprawka \[...\] w UTF-8:

fixutf8files := $(patsubst $(srcdeveldir)/fixutf8/%,%, \
	$(shell find $(srcdeveldir)/fixutf8 -type f))

# Zestawy znakw zdefiniowane bezporedni tabel konwersji na UTF-8:

charsets := $(patsubst $(srccharsetsdir)/%,%, \
	$(sort $(wildcard $(srccharsetsdir)/*) $(mergefiles)))

# Konwersje zestaww znakw na UTF-8:

charset_utf8files := $(patsubst %,$(srcfiltersdir)/%-UTF8,$(charsets))

# Konwersje zestaww znakw z UTF-8 s tworzone automatycznie, na podstawie
# konwersji odwrotnych (na UTF-8):

utf8_charsetfiles := $(patsubst %,$(srcfiltersdir)/UTF8-%,$(charsets))

# Pomidzy niektrymi parami zestaww znakw s bezporednie konwersje,
# oprcz konwersji przez tymczasowy format UTF-8.

charset_charset := $(shell $(perl) -nae \
	' \
		if (@F == 1) {print} \
		else \
		{ \
			foreach $$a (grep {!/^-/} @F) \
			{ \
				$$a =~ s/-$$//; \
				foreach $$b (grep {!/-$$/} @F) \
				{ \
					$$b =~ s/^-//; \
					print "$$a-$$b\n" if $$a ne $$b; \
				} \
			} \
		} \
	' $(srcdeveldir)/charset-charset)
charset_charsetfiles := $(patsubst %,$(srcfiltersdir)/%,$(charset_charset))

# Opisy czstoci znakw w poszczeglnych zestawach znakw rnych jzykw
# - do automatycznego rozpoznawania standardu:

anyfiles := $(patsubst $(srcdeveldir)/any/%,$(srcauxdir)/any/%, \
	$(wildcard $(srcdeveldir)/any/*))

# Wersje z poprawionymi #!/ciekami, gotowe do zainstalowania:

installfiles := \
	$(installbindir)/konwert \
	$(patsubst %,$(installsharedir)/%,\
		$(sort \
			$(shell find \
				$(srcfiltersdir) \
				$(srcauxdir) \
				$(srcdeveldir) \
				-type f \
			) \
			$(mergefiles) \
			$(fixutf8files) \
			$(charset_utf8files) \
			$(srcauxdir)/UTF8-ascii \
			$(srcauxdir)/UTF8-ascii1 \
			$(utf8_charsetfiles) \
			$(charset_charsetfiles) \
			$(anyfiles) \
		) \
	) \
	$(installlibauxdir)/512bold

# Wszystkie tworzone pliki:

targets := \
	$(srcbindir)/trs \
	$(srcbindir)/filterm \
	$(mergefiles) \
	$(fixutf8files) \
	$(charset_utf8files) \
	$(srcauxdir)/UTF8-ascii \
	$(srcauxdir)/UTF8-ascii1 \
	$(utf8_charsetfiles) \
	$(charset_charsetfiles) \
	$(srcbindir)/512bold \
	$(anyfiles) \
	$(installfiles)

# Pliki, ktre mog by utworzone, ale nie s wczone do dystrybucji
# ani kasowane przy `make clean':

nodelete := \
	$(mergefiles) \
	$(utf8_charsetfiles) \
	$(charset_charsetfiles)

###############################################################################

all: $(targets)

###############################################################################

$(installbindir)/konwert: $(srcbindir)/konwert
	sed 's|/usr/share/konwert/filters|$(filtersdir)|g' $< >$@
	chmod +x $@

$(installsharedir)/%: %
	$(INSTALL) -d $(dir $@)
	if [ -x $< ]; then sed -e '1s|^#!/usr/bin/trs|#!$(bindir)/trs|' \
	-e '1s|^#!/usr/bin/perl|#!$(perl)|' $< >$@; chmod +x $@; \
	else ln $< $@; fi

$(installlibauxdir)/512bold: $(srcbindir)/512bold
	$(INSTALL) -d $(dir $@)
	$(INSTALL) -m755 -s $< $@

###############################################################################

mkmerge: $(patsubst %,$(srcdeveldir)/mergewith%,$(mergewithwhat))

	{ \
		for charset in $(mergewithwhat); do \
		echo "\$$(patsubst \$$(srcdeveldir)/mergewith$$charset/%,\$$(srccharsetsdir)/%, \\"; \
		echo "\$$(wildcard \$$(srcdeveldir)/mergewith$$charset/*)): \\"; \
		echo "\$$(srccharsetsdir)/%: \\"; \
		echo "\$$(srcdeveldir)/mergewith$$charset/% \\"; \
		echo "\$$(srccharsetsdir)/$$charset \\"; \
		echo "\$$(srcdeveldir)/mergetrs"; \
		echo -e "\t\$$(perl) \$$(srcdeveldir)/mergetrs" \
		"\$$< \$$(srccharsetsdir)/$$charset >\$$@"; \
		done; \
	} >$@

include mkmerge

###############################################################################

$(fixutf8files): \
%: $(srcdeveldir)/fixutf8/% \
$(srcdeveldir)/fixtrsutf8

	$(perl) $(srcdeveldir)/fixtrsutf8 $< >$@
	chmod +x $@

###############################################################################

$(charset_utf8files): \
$(srcfiltersdir)/%-UTF8: $(srcdeveldir)/charset-UTF8
	ln $< $@

###############################################################################

$(srcauxdir)/UTF8-ascii: $(srcdeveldir)/UTF8-charset \
$(srcdeveldir)/mkUTF8-ascii

	$(perl) $(srcdeveldir)/mkUTF8-ascii $< >$@

###############################################################################

$(srcauxdir)/UTF8-ascii1: $(srcdeveldir)/UTF8-charset \
$(srcdeveldir)/mkUTF8-ascii

	$(perl) $(srcdeveldir)/mkUTF8-ascii -1 $< >$@

###############################################################################

$(utf8_charsetfiles): \
$(srcfiltersdir)/UTF8-%: $(srccharsetsdir)/% \
$(srcdeveldir)/UTF8-charset \
$(srcdeveldir)/mkUTF8-charset $(srcdeveldir)/mime

	{ \
		echo '#!/bin/bash -'; \
		echo; \
		$(perl) $(srcdeveldir)/mkUTF8-charset $< \
			$(srcdeveldir)/UTF8-charset; \
		echo " MIME=`$(srcdeveldir)/mime $(patsubst $(srcfiltersdir)/UTF8-%,%,$@)`" \
			"\"\$${0%/*}/../aux/UTF8-charset\"" \
		-rf "\"\$${0%/*}/../aux/charsets/$(patsubst $(srcfiltersdir)/UTF8-%,%,$@)\""; \
	} >$@
	chmod +x $@

###############################################################################

define mkcharset-charset
	filter=$(notdir $@); \
	if [ $${filter##*-} = ascii ]; \
	then \
		b=ascii; \
	else \
		b=$(word 2,$^); \
	fi; \
	{ \
		echo '#!/bin/bash -'; \
		echo; \
		$(perl) $(srcdeveldir)/mkcharset-charset \
		$< $$b $(srcdeveldir)/UTF8-charset; \
		echo " MIME=`$(srcdeveldir)/mime $${filter##*-}`" \
		"\"\$${0%/*}/../aux/charset-charset\" $$filter"; \
	} >$@
	chmod +x $@
endef

mkcharset-charset: $(srcdeveldir)/charset-charset

	for filter in $(charset_charset); \
	do \
		echo "\$$(srcfiltersdir)/$$filter: \\"; \
		echo "\$$(srccharsetsdir)/$${filter%-*} \\"; \
		if [ $${filter##*-} != ascii ]; \
		then \
			echo "\$$(srccharsetsdir)/$${filter##*-}\\"; \
		fi; \
		echo "\$$(srcdeveldir)/UTF8-charset \\"; \
		echo "\$$(srcdeveldir)/mkcharset-charset"; \
		echo -e "\t\$$(mkcharset-charset)"; \
	done >$@

include mkcharset-charset

###############################################################################

$(anyfiles): \
$(srcauxdir)/any/%: $(srcdeveldir)/any/% \
$(patsubst %,$(srccharsetsdir)/%,$(charsets)) \
$(srcdeveldir)/mkany
	$(perl) $(srcdeveldir)/mkany $< >$@

###############################################################################

install: all
	$(INSTALL) -d $(bindir) $(filtersdir) $(auxdir) $(libauxdir) \
		$(develdir) $(libdeveldir) $(mydocdir) $(mandir)
	$(INSTALL) -m755 -s $(installbindir)/trs     $(bindir)
	$(INSTALL) -m755    $(installbindir)/konwert $(bindir)
	$(INSTALL) -m755 -s $(installbindir)/filterm $(bindir)
	cp -dRf $(installfiltersdir)/* $(filtersdir)
	$(perl) $(srcdeveldir)/mkaliases $(srcdeveldir)/aliases \
		$(installfiltersdir) $(filtersdir)
	cp -dRf $(installauxdir)/* $(auxdir)
	$(perl) $(srcdeveldir)/mkaliases $(srcdeveldir)/aliases \
		$(installauxdir)/charsets $(auxdir)/charsets
	cp -dRf $(installlibauxdir)/* $(libauxdir)
	cp -dRf $(installdeveldir)/* $(develdir)
	cp -dRf $(installdocdir)/* $(mydocdir)
	cp -dRf $(installmandir)/* $(mandir)
	if [ -z "$(nofixmanconfig)" ]; then $(srcdeveldir)/fixmanconfig; fi

###############################################################################

uninstall:
	rm -f $(bindir)/{trs,konwert,filterm}
	rm -rf $(mylibdir) $(mysharedir) $(mydocdir)
	rm -f $(patsubst $(installmandir)/%,$(mandir)/%,\
		$(shell find $(installmandir)/* -not -type d))

###############################################################################

clean:
	-rm -f $(filter-out $(nodelete),$(targets))

###############################################################################

maintainer-clean:
	-rm -f $(targets)

###############################################################################

tgz: clean $(nodelete)
	cd .. && tar czf konwert-$(version).tar.gz konwert-$(version)

###############################################################################

rpm: tgz
	cd .. && rpm -ta konwert-$(version).tar.gz

###############################################################################

## konwert 1.8

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #								#
 #################################################################
 
-version = 1.7
+version = 1.8
 
 SHELL = /bin/sh
 CXXFLAGS = -Wall -O2 -fomit-frame-pointer -pipe
@@ -147,7 +147,8 @@
 			$(anyfiles) \
 		) \
 	) \
-	$(installlibauxdir)/512bold
+	$(installlibauxdir)/512bold \
+	$(installlibauxdir)/512bold1
 
 # Wszystkie tworzone pliki:
 
@@ -162,6 +163,7 @@
 	$(utf8_charsetfiles) \
 	$(charset_charsetfiles) \
 	$(srcbindir)/512bold \
+	$(srcbindir)/512bold1 \
 	$(anyfiles) \
 	$(installfiles)
 
@@ -190,6 +192,10 @@
 	else ln $< $@; fi
 
 $(installlibauxdir)/512bold: $(srcbindir)/512bold
+	$(INSTALL) -d $(dir $@)
+	$(INSTALL) -m755 -s $< $@
+
+$(installlibauxdir)/512bold1: $(srcbindir)/512bold1
 	$(INSTALL) -d $(dir $@)
 	$(INSTALL) -m755 -s $< $@
 
@@ -256,6 +262,22 @@
 		echo " MIME=`$(srcdeveldir)/mime $(patsubst $(srcfiltersdir)/UTF8-%,%,$@)`" \
 			"\"\$${0%/*}/../aux/UTF8-charset\"" \
 		-rf "\"\$${0%/*}/../aux/charsets/$(patsubst $(srcfiltersdir)/UTF8-%,%,$@)\""; \
+	} >$@
+	chmod +x $@
+
+###############################################################################
+
+$(srcfiltersdir)/UTF8-ascii: \
+$(srcdeveldir)/UTF8-charset $(srcdeveldir)/UTF8-ascii \
+$(srcdeveldir)/mkUTF8-charset
+
+	{ \
+		echo '#!/bin/bash -'; \
+		echo; \
+		$(perl) $(srcdeveldir)/mkUTF8-charset ascii \
+			$(srcdeveldir)/UTF8-charset; \
+		echo " MIME=us-ascii"; \
+		cat $(srcdeveldir)/UTF8-ascii; \
 	} >$@
 	chmod +x $@
 
@@ -323,7 +345,7 @@
 	cp -dRf $(installdeveldir)/* $(develdir)
 	cp -dRf $(installdocdir)/* $(mydocdir)
 	cp -dRf $(installmandir)/* $(mandir)
-	if [ -z "$(nofixmanconfig)" ]; then $(srcdeveldir)/fixmanconfig; fi
+	if [ -z "$(nofixmanconfig)" ]; then $(srcauxdir)/fixmanconfig; fi
 
 ###############################################################################

=== debian/changelog ===
konwert (1.8-15) unstable; urgency=medium

  * Team upload of Debian team.
  [ Damyan Ivanov ]
  * Fix path to installed filters after migrating to dh.
    Closes: #1088738, #1090193, #1090224.

 -- Santiago Vila <sanvila@debian.org>  Fri, 27 Dec 2024 18:15:00 +0100

konwert (1.8-14) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of Debian team.
  * Point Homepage to webarchive
  * Vcs fields pointing to Salsa
  * Fake watch file
  * Drop dh-buildinfo from Build-Depends (see #1068809)
  * delete unneeded d/*.dirs
  * d/rules: convert to short dh
  * Fix interpreter in scripts
  * d/copyright: DEP5
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Change priority extra to priority optional.
  * Remove field Priority on binary package konwert-dev that duplicates source.
  * Remove unused lintian-overrides
  * lintian-overrides konvert-filters: national-encoding
  * lintian-overrides konwert: acute-accent-in-manual-page
  * Propagate hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #844070)
    + Pass triplet-prefixed CXX to make
    + Do not strip before dh_strip


 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2024 16:32:13 +0100

konwert (1.8-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compatibility level from 5 to 7
    Closes: 965613 - removal of compatibility levels 5 and 6

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Jan 2022 20:13:21 +0000

konwert (1.8-13.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 16:28:47 +0100

konwert (1.8-13) unstable; urgency=medium

  * Fix typo in Vcs-Browser URL.
  * Fix Makefile not to override all build flags fro filterm when we
    just want to add something to LDLIBS.

 -- Yann Dirson <dirson@debian.org>  Mon, 15 Aug 2016 11:12:26 +0200

konwert (1.8-12) unstable; urgency=medium

  * Acknowledge NMUs.
  * Raw conversion to source format 3.0 (quilt).
  * Add missing build-{arch,indep} targets (Closes: #822000, patch
    by Santiago Vila).
  * Make output of fixtrsutf8 reproducible (Closes: #778945, patch
    by Chris Lamb).
  * Fix typos in english manpages (Closes: #643684, patch by A.Costa).
  * Fix build with clang 3.1 (Closes: #686624, #748725, patch by Cyril
    Roelandt).
  * Drop long-useless README.Debian (Closes: #364553, thanks Ilya
    Martynov).
  * Use dh_bash-completion to move file to /usr/share/ (lintian).
  * Stop ignoring "make clean" error (lintian).
  * Replace dh_clean -k with dh_prep (lintian).
  * Use dpkg-buildflags.

 -- Yann Dirson <dirson@debian.org>  Sat, 13 Aug 2016 15:29:03 +0200

konwert (1.8-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use File::Temp in place of pid-based temporary filenames to prevent
    against symlink-based attacks. (Closes: #496379)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 06 Sep 2008 17:15:01 +0100

konwert (1.8-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #413416).

 -- Luk Claes <luk@debian.org>  Fri, 07 Mar 2008 18:54:25 +0000

konwert (1.8-11) unstable; urgency=low

  * Switch from debhelper v1 mode to v5:
    * bash-completion script now maked as conffile (Closes: #358376).
    * use ${misc:Depends} for every binary package.
  * Fixed problem in a polish manpage (Closes: #296246).
  * Fixed capitalization in README.Debian (lintian).
  * Bumped Standards-Version to 3.6.2, no change.

 -- Yann Dirson <dirson@debian.org>  Tue, 11 Apr 2006 01:22:10 +0200

konwert (1.8-10) unstable; urgency=low

  * Build with g++-4.0.

 -- Yann Dirson <dirson@debian.org>  Tue,  5 Jul 2005 23:25:19 +0200

konwert (1.8-9) unstable; urgency=low

  * Fixed rtf-8bit to recognize the good escape sequences (Closes: #182439).
  * Include bash-completion script for konwert(1) from Vitalij K. Lysoff.
  * Fixed dh_buildinfo call to occur in binary-arch; ship a docdir in
    konwert package instead of a symlink to allow this; create symlinks to
    en and pl docdirs to leave docs easily found.
  * Reworked debian/rules a bit: added an install target to help
    accomodating for this change.
  * Updated my email in README.Debian and copyright; updated upstream URL
    in copyright.

 -- Yann Dirson <dirson@debian.org>  Thu, 29 Apr 2004 00:30:26 +0200

konwert (1.8-8) unstable; urgency=low

  * Applied longstanding patch from Radovan Garabik to use UNIX98 ptys
    (Closes: #108583, #195451).  Link filterm with libutil.
  * Avoid redifinition of PATH_MAX in filterm.cc.
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Fri,  9 Jan 2004 16:31:57 +0100

konwert (1.8-7) unstable; urgency=low

  * Added support for mik from Kaloian Doganov (Closes: #196510).
  * Added filters/UTF8-prn7pl and associated documentation from Grzegorz
    B. Prokopski (Closes: #195908).
  * Bumped Standards-Version from 3.0.1 to 3.5.10 (no change).

 -- Yann Dirson <dirson@debian.org>  Sun,  8 Jun 2003 16:32:09 +0200

konwert (1.8-6) unstable; urgency=low

  * Converted bin/trc.cc to use <sstream> since g++ 3.3 dropped
    <strstream.h> (Closes: #194942).
  * Fixed konwert-filters short desc (lintian).

 -- Yann Dirson <dirson@debian.org>  Thu, 29 May 2003 23:23:48 +0200

konwert (1.8-5) unstable; urgency=low

  * Rebuild for g++-3.2.
  * Removed manually-inserted /usr/doc/-symlinks logic from maintainer
    scripts.

 -- Yann Dirson <dirson@debian.org>  Mon, 13 Jan 2003 16:03:50 +0100

konwert (1.8-4) unstable; urgency=low

  * Fix typos in package descriptions (Closes: #124848, #146488).  Ran
    ispell and found a couple more.
  * Added a lintian override for hardlinks usage.  Nothing forbids
    hardlinks here, and they don't break anything.



=== debian/control ===
Source: konwert
Section: text
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/konwert.git
Vcs-Browser: https://salsa.debian.org/debian/konwert
Homepage: https://web.archive.org/web/20041207025451/http://qrczak.ids.net.pl/programy/linux/konwert/
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), bash-completion

Package: konwert
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, konwert-filters
Suggests: konwert-dev
Description: Charset conversion for files or terminal I/O
 `konwert' is yet another charset converter.  Some particular features are:
  * one-to-many conversions
  * context-dependent conversions
  * approximations of some unavailable characters
  * (as a result) ability to transcript e.g. Russian Cyrillic into Polish
 phonetic equivalent
 .
 `filterm' applies filter conversion to a terminal's I/O, to get on-the-fly
 charset conversion, and customized input methods.

Package: konwert-filters
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libfile-temp-perl
Recommends: konwert
Description: Filters used by konwert for charset conversion
 These files are needed by konwert.
 .
 They are also probably useless without konwert itself.

Package: konwert-dev
Architecture: all
Depends: konwert, ${misc:Depends}
Suggests: g++
Description: Tools to define new charset conversion for konwert
 This package contains sources for some filters, and the scripts used to
 build those filters from them.
 .
 The `512bold' filter is a C++ program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export LC_ALL=C
ifeq ($(origin CXX),default)
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with bash-completion

override_dh_auto_clean:
	dh_auto_clean || true

override_dh_auto_build:
	chmod +x filters/UTF8-prn7pl
	mkdir -p aux/any # make sure dir exists in Salsa CI
	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CXX="$(CXX)" INSTALL="install --strip-program=true" prefix=/usr

override_dh_auto_install:
	dh_auto_install -- nofixmanconfig=1 prefix=$(CURDIR)/debian/tmp/usr INSTALL="install --strip-program=true"

override_dh_install-indep:
	dh_install -i
	rm -rf debian/konwert-filters/usr/share/konwert/filters/512bold*

override_dh_install-arch:
	dh_install -a
	for trs in `grep -Rl '#!/usr/local/bin/trs' debian/*/usr/*` ; do \
	    echo "Fix interpreter in $${trs}" ; \
            sed -i '1s?^#!/usr/local/bin/trs?#!/usr/bin/trs?' $${trs} ; \
        done
	find debian/konwert -type d -name devel -empty | xargs rmdir

override_dh_installdocs:
	dh_installdocs
	rm -f debian/*/usr/share/doc/konwert-filters/*/CHANGES*
	rm -f debian/*/usr/share/doc/konwert-filters/*/COPYING*
	rm -f debian/*/usr/share/doc/konwert-filters/*/ZMIANY*

override_dh_installchangelogs:
	dh_installchangelogs -pkonwert-filters doc/en/CHANGES
	dh_installchangelogs
